Debian Bug report logs - #657919
ITP: r-cran-digest - Create cryptographic hash digests of R objects

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlos Borroto <carlos.borroto@gmail.com>

Date: Sun, 29 Jan 2012 23:18:01 UTC

Owned by: Carlos Borroto <carlos.borroto@gmail.com>

Severity: wishlist

Fixed in version r-cran-digest/0.5.1-1

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-med@lists.debian.org, wnpp@debian.org:
Bug#657919; Package wnpp. (Sun, 29 Jan 2012 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Borroto <carlos.borroto@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-med@lists.debian.org, wnpp@debian.org. (Sun, 29 Jan 2012 23:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos Borroto <carlos.borroto@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: r-cran-digest - Create cryptographic hash digests of R objects
Date: Sun, 29 Jan 2012 18:14:30 -0500
Package: wnpp
Severity: wishlist
Owner: Carlos Borroto <carlos.borroto@gmail.com>
X-Debbugs-Cc: debian-med@lists.debian.org


* Package name: r-cran-digest
Version: 0.5.1
Upstream Author: Dirk Eddelbuettel <edd@debian.org>
* URL: http://dirk.eddelbuettel.com/code/digest.html
* License: GPL-2+
Programming Lang: C
Description: Create cryptographic hash digests of R objects

The digest package provides a function 'digest()' for the creation of
hash digests of arbitrary R objects (using the md5, sha-1, sha-256 and
crc32 algorithms) permitting easy comparison of R language objects, as
well as a function 'hmac()' to create hash-based message
authentication code. The md5 algorithm by Ron Rivest is specified in
RFC 1321, the SHA-1 and SHA-256 algorithms are specified in FIPS-180-1
and FIPS-180-2, and the crc32 algorithm is described in
ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt. For md5,
sha-1 and sha-256, this packages uses small standalone implementations
that were provided by Christophe Devine. For crc32, code from the zlib
library is used. Please note that this package is not meant to be
deployed for cryptographic purposes for which more comprehensive (and
widely tested) libraries such as OpenSSL should be used.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>:
Bug#657919; Package wnpp. (Sun, 29 Jan 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>. (Sun, 29 Jan 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 657919@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>, 657919@bugs.debian.org
Cc: Dirk Eddelbuettel <edd@debian.org>
Subject: Re: Bug#657919: ITP: r-cran-digest - Create cryptographic hash digests of R objects
Date: Mon, 30 Jan 2012 00:22:22 +0100
Hi Carlos,

thanks for your ITP.

On Sun, Jan 29, 2012 at 06:14:30PM -0500, Carlos Borroto wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Carlos Borroto <carlos.borroto@gmail.com>
> X-Debbugs-Cc: debian-med@lists.debian.org
> 
> 
> * Package name: r-cran-digest
> Version: 0.5.1
> Upstream Author: Dirk Eddelbuettel <edd@debian.org>

Well, Dirk is the main packager of R software inside Debian.  If he is
upstream of some software but did not packaged it for Debian, he might
have his reasons to do so.  I would like Dirk to comment on this ITP
before uploading something.

Kind regards

        Andreas.

> * URL: http://dirk.eddelbuettel.com/code/digest.html
> * License: GPL-2+
> Programming Lang: C
> Description: Create cryptographic hash digests of R objects
> 
> The digest package provides a function 'digest()' for the creation of
> hash digests of arbitrary R objects (using the md5, sha-1, sha-256 and
> crc32 algorithms) permitting easy comparison of R language objects, as
> well as a function 'hmac()' to create hash-based message
> authentication code. The md5 algorithm by Ron Rivest is specified in
> RFC 1321, the SHA-1 and SHA-256 algorithms are specified in FIPS-180-1
> and FIPS-180-2, and the crc32 algorithm is described in
> ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt. For md5,
> sha-1 and sha-256, this packages uses small standalone implementations
> that were provided by Christophe Devine. For crc32, code from the zlib
> library is used. Please note that this package is not meant to be
> deployed for cryptographic purposes for which more comprehensive (and
> widely tested) libraries such as OpenSSL should be used.
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/CABgGhBLx657EsrQOdH1Nxsm-37uhhcUA+7v2wFrT_+PzS08s7Q@mail.gmail.com
> 
> 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>:
Bug#657919; Package wnpp. (Sun, 29 Jan 2012 23:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>. (Sun, 29 Jan 2012 23:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 657919@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Med Project List <debian-med@lists.debian.org>, 657919@bugs.debian.org, Dirk Eddelbuettel <edd@debian.org>
Subject: Re: Bug#657919: ITP: r-cran-digest - Create cryptographic hash digests of R objects
Date: Sun, 29 Jan 2012 17:42:42 -0600
On 30 January 2012 at 00:22, Andreas Tille wrote:
| Hi Carlos,
| 
| thanks for your ITP.
| 
| On Sun, Jan 29, 2012 at 06:14:30PM -0500, Carlos Borroto wrote:
| > Package: wnpp
| > Severity: wishlist
| > Owner: Carlos Borroto <carlos.borroto@gmail.com>
| > X-Debbugs-Cc: debian-med@lists.debian.org
| > 
| > 
| > * Package name: r-cran-digest
| > Version: 0.5.1
| > Upstream Author: Dirk Eddelbuettel <edd@debian.org>
| 
| Well, Dirk is the main packager of R software inside Debian.  If he is
| upstream of some software but did not packaged it for Debian, he might
| have his reasons to do so.  I would like Dirk to comment on this ITP
| before uploading something.

I'll do it. The package turned out to be a) relatively widely used for all
the caching things that use it as a base and b) changes rarely. 

I'll make an initial upload in a few days.

Thanks for the heads-up!

Dirk

| 
| Kind regards
| 
|         Andreas.
| 
| > * URL: http://dirk.eddelbuettel.com/code/digest.html
| > * License: GPL-2+
| > Programming Lang: C
| > Description: Create cryptographic hash digests of R objects
| > 
| > The digest package provides a function 'digest()' for the creation of
| > hash digests of arbitrary R objects (using the md5, sha-1, sha-256 and
| > crc32 algorithms) permitting easy comparison of R language objects, as
| > well as a function 'hmac()' to create hash-based message
| > authentication code. The md5 algorithm by Ron Rivest is specified in
| > RFC 1321, the SHA-1 and SHA-256 algorithms are specified in FIPS-180-1
| > and FIPS-180-2, and the crc32 algorithm is described in
| > ftp://ftp.rocksoft.com/cliens/rocksoft/papers/crc_v3.txt. For md5,
| > sha-1 and sha-256, this packages uses small standalone implementations
| > that were provided by Christophe Devine. For crc32, code from the zlib
| > library is used. Please note that this package is not meant to be
| > deployed for cryptographic purposes for which more comprehensive (and
| > widely tested) libraries such as OpenSSL should be used.
| > 
| > 
| > 
| > -- 
| > To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
| > with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
| > Archive: http://lists.debian.org/CABgGhBLx657EsrQOdH1Nxsm-37uhhcUA+7v2wFrT_+PzS08s7Q@mail.gmail.com
| > 
| > 
| 
| -- 
| http://fam-tille.de

-- 
"Outside of a dog, a book is a man's best friend. Inside of a dog, it is too
dark to read." -- Groucho Marx




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657919; Package wnpp. (Mon, 30 Jan 2012 00:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Borroto <carlos.borroto@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Jan 2012 00:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 657919@bugs.debian.org (full text, mbox):

From: Carlos Borroto <carlos.borroto@gmail.com>
To: Dirk Eddelbuettel <edd@debian.org>, 657919@bugs.debian.org
Cc: Andreas Tille <andreas@an3as.eu>, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#657919: ITP: r-cran-digest - Create cryptographic hash digests of R objects
Date: Sun, 29 Jan 2012 19:18:48 -0500
On Sun, Jan 29, 2012 at 6:42 PM, Dirk Eddelbuettel <edd@debian.org> wrote:
>
> On 30 January 2012 at 00:22, Andreas Tille wrote:
> | Hi Carlos,
> |
> | thanks for your ITP.
> |
> | On Sun, Jan 29, 2012 at 06:14:30PM -0500, Carlos Borroto wrote:
> | > Package: wnpp
> | > Severity: wishlist
> | > Owner: Carlos Borroto <carlos.borroto@gmail.com>
> | > X-Debbugs-Cc: debian-med@lists.debian.org
> | >
> | >
> | > * Package name: r-cran-digest
> | > Version: 0.5.1
> | > Upstream Author: Dirk Eddelbuettel <edd@debian.org>
> |
> | Well, Dirk is the main packager of R software inside Debian.  If he is
> | upstream of some software but did not packaged it for Debian, he might
> | have his reasons to do so.  I would like Dirk to comment on this ITP
> | before uploading something.
>
> I'll do it. The package turned out to be a) relatively widely used for all
> the caching things that use it as a base and b) changes rarely.
>
> I'll make an initial upload in a few days.
>
> Thanks for the heads-up!
>

Hi Dirk, Andreas,

I noted the @debian.org, but I did not know Dirk is the main R maintainer.

My interest is to package cummeRbund[1], which needs ggplot2, which in
turn needs digest.

I'll be packaging the rest of the dependencies and I'll wait for Dirk
for digest. Should I remove this wnpp bug?

Thanks,
Carlos

[1]http://www.bioconductor.org/packages/release/bioc/html/cummeRbund.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>:
Bug#657919; Package wnpp. (Mon, 30 Jan 2012 03:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Borroto <carlos.borroto@gmail.com>. (Mon, 30 Jan 2012 03:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 657919@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Carlos Borroto <carlos.borroto@gmail.com>
Cc: Dirk Eddelbuettel <edd@debian.org>, 657919@bugs.debian.org, Andreas Tille <andreas@an3as.eu>, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#657919: ITP: r-cran-digest - Create cryptographic hash digests of R objects
Date: Sun, 29 Jan 2012 21:16:00 -0600
On 29 January 2012 at 19:18, Carlos Borroto wrote:
| On Sun, Jan 29, 2012 at 6:42 PM, Dirk Eddelbuettel <edd@debian.org> wrote:
| >
| > On 30 January 2012 at 00:22, Andreas Tille wrote:
| > | Hi Carlos,
| > |
| > | thanks for your ITP.
| > |
| > | On Sun, Jan 29, 2012 at 06:14:30PM -0500, Carlos Borroto wrote:
| > | > Package: wnpp
| > | > Severity: wishlist
| > | > Owner: Carlos Borroto <carlos.borroto@gmail.com>
| > | > X-Debbugs-Cc: debian-med@lists.debian.org
| > | >
| > | >
| > | > * Package name: r-cran-digest
| > | > Version: 0.5.1
| > | > Upstream Author: Dirk Eddelbuettel <edd@debian.org>
| > |
| > | Well, Dirk is the main packager of R software inside Debian.  If he is
| > | upstream of some software but did not packaged it for Debian, he might
| > | have his reasons to do so.  I would like Dirk to comment on this ITP

I didn't answer this bit:  No particular reason. I have 10+ packages on CRAN
but only maintain two or three in Debian ... as the others install so easily
in R itself. (digest for example has not further depends).  And I already
have 120+ packages so time is somewhat limited.

But (r-cran-)digest makes some sense.

| > | before uploading something.
| >
| > I'll do it. The package turned out to be a) relatively widely used for all
| > the caching things that use it as a base and b) changes rarely.
| >
| > I'll make an initial upload in a few days.
| >
| > Thanks for the heads-up!
| >
| 
| Hi Dirk, Andreas,
| 
| I noted the @debian.org, but I did not know Dirk is the main R maintainer.
| 
| My interest is to package cummeRbund[1], which needs ggplot2, which in
| turn needs digest.

Oh, something from BioConductor -- nice. I just did a quick apt-cache search
r-bioc and there to be four others so I suppose you know the suggested 
r-bioc-cummerbund pattern?

| I'll be packaging the rest of the dependencies and I'll wait for Dirk
| for digest. Should I remove this wnpp bug?

Up to you. I can simply close it.

Will be nice to have ggplot2 and reshape in as well.

Dirk

| 
| Thanks,
| Carlos
| 
| [1]http://www.bioconductor.org/packages/release/bioc/html/cummeRbund.html

-- 
"Outside of a dog, a book is a man's best friend. Inside of a dog, it is too
dark to read." -- Groucho Marx




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 07:09:09 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. (Thu, 02 Feb 2012 16:36:33 GMT) Full text and rfc822 format available.

Notification sent to Carlos Borroto <carlos.borroto@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:36:33 GMT) Full text and rfc822 format available.

Message #32 received at 657919-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 657919-close@bugs.debian.org
Subject: Bug#657919: fixed in r-cran-digest 0.5.1-1
Date: Thu, 02 Feb 2012 16:34:51 +0000
Source: r-cran-digest
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
r-cran-digest, which is due to be installed in the Debian FTP archive:

r-cran-digest_0.5.1-1.diff.gz
  to main/r/r-cran-digest/r-cran-digest_0.5.1-1.diff.gz
r-cran-digest_0.5.1-1.dsc
  to main/r/r-cran-digest/r-cran-digest_0.5.1-1.dsc
r-cran-digest_0.5.1-1_i386.deb
  to main/r/r-cran-digest/r-cran-digest_0.5.1-1_i386.deb
r-cran-digest_0.5.1.orig.tar.gz
  to main/r/r-cran-digest/r-cran-digest_0.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657919@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated r-cran-digest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 20:42:18 -0600
Source: r-cran-digest
Binary: r-cran-digest
Architecture: source i386
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-cran-digest - GNU R package for 'hash digest' of R data structures
Closes: 657919
Changes: 
 r-cran-digest (0.5.1-1) unstable; urgency=low
 .
   * Initial Debian release of my digest CRAN package  	(Closes: #657919)
Checksums-Sha1: 
 fac276e06aa93efd82f5c7899f06b84e654527bf 1063 r-cran-digest_0.5.1-1.dsc
 46f7d7d6224ee6faa8af590cbccc2efaf3d964d3 41241 r-cran-digest_0.5.1.orig.tar.gz
 65863309f6251f0b04992250e93ff8c7a229ea52 1909 r-cran-digest_0.5.1-1.diff.gz
 e5bcdf68952198ee446bb78852b748fc16229873 47648 r-cran-digest_0.5.1-1_i386.deb
Checksums-Sha256: 
 82fab041cc5be941f732f50ccf9a32bad239a5dd07db859275bcb55111b306e3 1063 r-cran-digest_0.5.1-1.dsc
 ddac0c51a48245ba3ff4d84d908e86f790c811eedf63367a056f969b1ae378aa 41241 r-cran-digest_0.5.1.orig.tar.gz
 c94c6afba773da130e9a1ceb4093fbb4f5be678fec0d2ce7fdd5fff2193bd5b5 1909 r-cran-digest_0.5.1-1.diff.gz
 76e5687cfc1dceeb5a60d6a2705492c8c3a87997a42ccf431234310644e012e8 47648 r-cran-digest_0.5.1-1_i386.deb
Files: 
 737f7c3db3169d92480bc1f1d9dc214c 1063 gnu-r optional r-cran-digest_0.5.1-1.dsc
 d7a20d332eb35145e84ea9dc2b8a216b 41241 gnu-r optional r-cran-digest_0.5.1.orig.tar.gz
 205e32c813d017d884e2ae7fd77b8265 1909 gnu-r optional r-cran-digest_0.5.1-1.diff.gz
 82427e875b60959fabe5e8324f0dd699 47648 gnu-r optional r-cran-digest_0.5.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPKKiHCZSR95Gw07cRAhKdAJ0d3QS3yLd6J4UC7H+ZNX6CJAk6+ACfRosq
a9poN91HTujCK5sXnxRm8KI=
=CugQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Mar 2012 07:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:49:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.